# Get Product Status Update Batch Results

## Get Product Status Update Batch Results

> \*\*Rate limit:\*\* 200 requests per minute

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"UpdateProductStatusBatchResultsResponseSchema":{"properties":{"batchRequestId":{"description":"Unique identifier (UUID)","format":"uuid","title":"Batchrequestid","type":"string"},"status":{"anyOf":[{"$ref":"#/components/schemas/RequestStatus","description":"Status of the batch processing"},{"type":"string"}],"title":"Status"},"items":{"items":{"$ref":"#/components/schemas/UpdateProductStatusResultItemSchema"},"title":"Items","type":"array"}},"required":["batchRequestId","status","items"],"title":"UpdateProductStatusBatchResultsResponseSchema","type":"object"},"RequestStatus":{"enum":["pending","processing","completed","retry","failed"],"title":"RequestStatus","type":"string"},"UpdateProductStatusResultItemSchema":{"properties":{"requestItem":{"$ref":"#/components/schemas/UpdateProductStatusItemSchema"},"success":{"title":"Success","type":"boolean"},"errors":{"items":{"description":"Error message if and why the operation failed","type":"string"},"title":"Errors","type":"array"}},"required":["requestItem","success","errors"],"title":"UpdateProductStatusResultItemSchema","type":"object"},"UpdateProductStatusItemSchema":{"properties":{"style_key":{"description":"Style key for the group of products","maxLength":120,"title":"Style Key","type":"string"},"status":{"description":"Status you want to set for the given product.\n`published` moves the product toward approval and eventually marks it active,\n`inactive` keeps it hidden after it was activated,\n`draft` keeps it in preparation and out of the catalog until manual publication begins.\nReverting to `draft` is only supported before the product reaches approval, after which one should use `inactive`.","type":"string"}},"required":["style_key","status"],"title":"UpdateProductStatusItemSchema","type":"object"},"BadRequestSchema":{"properties":{"message":{"description":"Error message","title":"Message","type":"string"}},"required":["message"],"title":"BadRequestSchema","type":"object"}}},"paths":{"/api/v1/results/status":{"get":{"operationId":"scapi_app_endpoints_result_api_get_product_status_update_batch_results","summary":"Get Product Status Update Batch Results","parameters":[{"in":"query","name":"batch_request_id","schema":{"format":"uuid","title":"Batch Request Id","type":"string"},"required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductStatusBatchResultsResponseSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"default":{"headers":{"X-RateLimit-Limit":{"description":"Total requests allowed in the time window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining requests in the current window","schema":{"type":"integer"}}}}},"description":"**Rate limit:** 200 requests per minute","tags":["Results"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.partner.aboutyou.com/api/products/get-product-status-update-batch-results.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
